For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add extension to a customer contact

Add extension to a customer contact

Required permissions: CUSTOMER

post
/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerContactUidstringRequired

Reference to a Customer contact.

Pattern: ^[A-Za-z0-9-_]+
customerExtensionCodestring · enumRequired
ENUMDescription
TWO_INVOICEThe Two Invoice extension.
KLAVIYO_PROFILE_IDKlaviyo profile ID
Possible values:
Body
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
rolestring · enumRequiredPossible values:
post/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode}
POST /v2/tenants/{tenantUid}/customers/{customerUid}/contacts/{customerContactUid}/extensions/{customerExtensionCode} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "storeUid": "text"
}
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text",
  "role": "ADMIN"
}

Last updated

Was this helpful?